package de.ugoe.cs.swe.exercises.lecturer;

import org.eclipse.jface.viewers.IStructuredContentProvider;
import org.eclipse.jface.viewers.Viewer;

public class LecturerContentProvider implements IStructuredContentProvider {

	Lecturer lecturer = new Lecturer();

	public void inputChanged(Viewer v, Object oldInput, Object newInput) {
	}

	public void dispose() {
	}

	@SuppressWarnings("static-access")
	public Object[] getElements(Object parent) {
		return lecturer.all().toArray();
	}

}